MONGOS(1)

NAME
mongos - the Mongo sharding server

SYNOPSIS
mongos [OPTIONS]

DESCRIPTION

mongos is used to setup, configure, and get information about sharded databases.

EXAMPLES

./mongod --port 9999 --dbpath /data/db/a # first server

./mongod --port 9998 --dbpath /data/db/b # second server

./mongos --configdb localhost:9999 # mongos

starts three servers to set up sharding

OPTIONS

--help
    show usage information

-h, --help
    show this usage information

--version
    show version information

-f, --config arg
    configuration file specifying additional options

-v, --verbose
    be more verbose (include multiple times for more verbosity e.g. -vvvvv)

--quiet quieter output

--port arg specify port number

--bind_ip arg
    comma separated list of ip addresses to listen on - all local ips by default

--logpath arg
    log file to send write to instead of stdout - has to be a file, not directory

--logappend
    append to logpath instead of over-writing

--pidfilepath arg
    full path to pidfile (if not set, no pidfile is created)

--keyFile arg
    private key for cluster authentication (only for replica sets)

--unixSocketPrefix arg
    alternative directory for UNIX domain sockets (defaults to /tmp)

--fork
    fork server process

SHARDING OPTIONS

--configdb arg
    1 or 3 comma separated config servers

--test
    just run unit tests

--upgrade
    upgrade meta data version

--chunkSize arg
    maximum amount of data per chunk

--ipv6
    enable IPv6 support (disabled by default)

--jsonp
    allow JSONP access via http (has security implications)

COPYRIGHT

Copyright 2007-2011 10gen

SEE ALSO
For more information, please refer to the MongoDB wiki, available at http://www.mongodb.org.

AUTHOR
Kristina Chodorow